import java.awt.*;

/**
 * Kante in einem Graphen. 
 * Enthlt Attribute zur grafischen Darstellung.
 */
public class Edge
{
    /** Erster Endknoten */
    public Vertex startVertex;
    /** Zweiter Endknoten */
    public Vertex endVertex;

    private Color myColor;
    private int myThickness;

    private final static Color myColors[]={Color.black, Color.green};
    
    /**
     * Erzeugt eine neue Kanten zwischen 2 Knoten.
     * @param a Erster Endknoten
     * @param b Zweiter Endknoten
     */
    Edge(Vertex a, Vertex b)
    {
	startVertex=a;
	endVertex=b;
	myColor=myColors[0];
	myThickness=1;
    }

    /**
     * Liefert den ersten Endknoten.
     * @return Endknoten
     */
    public Vertex getAVertex()
    {
	return startVertex;
    }

    /**
     * Liefert den zweiten Endknoten.
     * @return Endknoten
     */
    public Vertex getBVertex()
    {
	return endVertex;
    }

    /**
     * Markiert die Kante mit einer Farbe.
     * @param nr Nummer der Farbe
     */
    public void setColorNr(int nr)
    {
	if(nr>=myColors.length) return;
	myColor=myColors[nr];
    }

    /**
     * Markiert die Kante mit einer Farbe.
     * @param nC gewnschte Farbe
     */
    public void setColor(Color nC)
    {
	myColor=nC;
    }

    /**
     * Setzt die Dicke der Kante.
     * @param t neue Dicke
     */
    public void setThickness(int t)
    {
	myThickness=t;
    }
    
    /**
     * Liefert die aktuelle Farbe der Kante.
     * @return aktuelle Farbe
     */
    public Color getColor()
    {
	return(myColor);
    }

    /**
     * Liefert die aktuelle Dicke der Kante.
     * @return aktuelle Dicke
     */
    public int getThickness()
    {
	return(myThickness);
    }

}

